QGIS crashes when trying to save edits on Oracle Spatial layers added using the OGR drivers (not 

the native provider)

2017-10-20 11:17 PM - Giovanni Manghi

Status: Open

Priority: High

Assignee:

Category: Data Provider/OGR

Affected QGIS version:3.5(master) Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:Yes Copied to github as #: 25209

Description

Subject says it all. No crash if the same layer is edited with the native Oracle provider.

Also with the OGR driver the layers do not seems to load all features when zooming at full extent. If zooming in all expected features are

drawn. Again this does not happen is loading the layer with the native provider.

History

#1 - 2017-11-13 02:27 PM - Even Rouault

- Resolution set to up/downstream

- Status changed from Open to Closed

I couldn't specifically reproduce with editing, but very fast zoom in/zoom out with the mouse wheel triggered crashes

Fixed in GDAL trunk https://trac.osgeo.org/gdal/changeset/40696 and GDAL 2.2 brancher https://trac.osgeo.org/gdal/changeset/40697

#2 - 2019-02-19 04:53 PM - Alexandre Neto

- Affected QGIS version changed from 2.18.13 to 3.5(master)

- Status changed from Closed to Open

I am able to replicate this in QGIS 3.4 and master using GDAL 2.4
